Doomsday Engine - Bug #1797

Crash playing sci2.wad MAP13 (Doom 2)

2014-05-03 17:45 - mezlo

Status: Closed Start date: 2014-05-03
Priority: Normal % Done: 100%
Assignee: danij

Category: Defect

Target version: 1.14.2

Description

When playing sci2.wad under Doomsday 1.14.1, Doomsday crashes with a Segmentation Violation on MAP13 when you turn right
after going through the blue door. | tested this under Doomsday 1.13.2 and it does not crash. I've attached a zip file containing the

wad file as well as my user folder (savegame, config etc).

Associated revisions

Revision 88e6641b - 2014-05-04 00:02 - danij

Fixed|World|SectorCluster: Crash with sci2.wad (Doom2) upon triggering the exit crusher

The crash was the result of an incorrect assumption that all sector
clusters will have at least one outer boundary edge. While this is
logically true there are some special cases in which no boundary is
recorded (e.g., the one unique outer halfedge is twined with an egde
originating from a degenerate BSP leaf). In this case, the trigger

is a so-called "control sector" outside the map attempting to update
surface light decorations when it's ceiling plane moved.

Todo for later: There is no need for such a cluster to be observing
plane movement at all. To address this properly we need two things;
1) BSP building algorithm that guarantees topologically sound and
geometrically correct data, 2) more intelligent SectorCluster.

IssuelD #1791

History

#1 - 2014-05-03 22:43 - danij

I've tried to reproduce this on Windows but so far I've had no luck. Can you provide any more info? Are you loading any other addons?

Edit: I've now replicated the problem. Seemingly it is dependent on one playing through the whole map, so presumably there is some special being

triggered which leads to the P_Callbackp error.

#2 - 2014-05-03 23:03 - danij
- Category set to Defect

#3 - 2014-05-03 23:05 - danij
- Status changed from New to In Progress

- Assignee set to danij

#4 - 2014-05-03 23:19 - danij
- Target version set to 1.14.2

- % Done changed from 0 to 100

#5 - 2014-05-04 00:08 - danij

- Status changed from In Progress to Closed

#6 - 2014-05-04 06:14 - skyjake

- Status changed from Closed to Resolved

#7 - 2014-05-04 06:15 - skyjake
Marked as Resolved until cherry-picked.

#8 - 2014-05-06 23:56 - danij

- Status changed from Resolved to Closed

#9 - 2014-05-07 00:08 - danij
- Subject changed from doomsday 1.14.1 Segmentation Violation (sci2.wad) to Crash playing sci2.wad MAP13 (Doom 2)

Files

sci2.zip 3.74 MB 2014-05-03 mezlo
